//go:build !ignore_autogenerated
// +build !ignore_autogenerated

// Copyright 2022 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by conversion-gen. DO NOT EDIT.

package v1alpha1

import (
	unsafe "unsafe"

	porch "github.com/GoogleContainerTools/kpt/porch/api/porch"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*Condition)(nil), (*porch.Condition)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Condition_To_porch_Condition(a.(*Condition), b.(*porch.Condition), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.Condition)(nil), (*Condition)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_Condition_To_v1alpha1_Condition(a.(*porch.Condition), b.(*Condition), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Field)(nil), (*porch.Field)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Field_To_porch_Field(a.(*Field), b.(*porch.Field), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.Field)(nil), (*Field)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_Field_To_v1alpha1_Field(a.(*porch.Field), b.(*Field), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*File)(nil), (*porch.File)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_File_To_porch_File(a.(*File), b.(*porch.File), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.File)(nil), (*File)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_File_To_v1alpha1_File(a.(*porch.File), b.(*File), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Function)(nil), (*porch.Function)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Function_To_porch_Function(a.(*Function), b.(*porch.Function), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.Function)(nil), (*Function)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_Function_To_v1alpha1_Function(a.(*porch.Function), b.(*Function), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FunctionConfig)(nil), (*porch.FunctionConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_FunctionConfig_To_porch_FunctionConfig(a.(*FunctionConfig), b.(*porch.FunctionConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.FunctionConfig)(nil), (*FunctionConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_FunctionConfig_To_v1alpha1_FunctionConfig(a.(*porch.FunctionConfig), b.(*FunctionConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FunctionEvalTaskSpec)(nil), (*porch.FunctionEvalTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_FunctionEvalTaskSpec_To_porch_FunctionEvalTaskSpec(a.(*FunctionEvalTaskSpec), b.(*porch.FunctionEvalTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.FunctionEvalTaskSpec)(nil), (*FunctionEvalTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_FunctionEvalTaskSpec_To_v1alpha1_FunctionEvalTaskSpec(a.(*porch.FunctionEvalTaskSpec), b.(*FunctionEvalTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FunctionList)(nil), (*porch.FunctionList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_FunctionList_To_porch_FunctionList(a.(*FunctionList), b.(*porch.FunctionList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.FunctionList)(nil), (*FunctionList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_FunctionList_To_v1alpha1_FunctionList(a.(*porch.FunctionList), b.(*FunctionList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FunctionRef)(nil), (*porch.FunctionRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_FunctionRef_To_porch_FunctionRef(a.(*FunctionRef), b.(*porch.FunctionRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.FunctionRef)(nil), (*FunctionRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_FunctionRef_To_v1alpha1_FunctionRef(a.(*porch.FunctionRef), b.(*FunctionRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FunctionSpec)(nil), (*porch.FunctionSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_FunctionSpec_To_porch_FunctionSpec(a.(*FunctionSpec), b.(*porch.FunctionSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.FunctionSpec)(nil), (*FunctionSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_FunctionSpec_To_v1alpha1_FunctionSpec(a.(*porch.FunctionSpec), b.(*FunctionSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*FunctionStatus)(nil), (*porch.FunctionStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_FunctionStatus_To_porch_FunctionStatus(a.(*FunctionStatus), b.(*porch.FunctionStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.FunctionStatus)(nil), (*FunctionStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_FunctionStatus_To_v1alpha1_FunctionStatus(a.(*porch.FunctionStatus), b.(*FunctionStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*GitLock)(nil), (*porch.GitLock)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_GitLock_To_porch_GitLock(a.(*GitLock), b.(*porch.GitLock), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.GitLock)(nil), (*GitLock)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_GitLock_To_v1alpha1_GitLock(a.(*porch.GitLock), b.(*GitLock), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*GitPackage)(nil), (*porch.GitPackage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_GitPackage_To_porch_GitPackage(a.(*GitPackage), b.(*porch.GitPackage), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.GitPackage)(nil), (*GitPackage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_GitPackage_To_v1alpha1_GitPackage(a.(*porch.GitPackage), b.(*GitPackage), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*NameMeta)(nil), (*porch.NameMeta)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_NameMeta_To_porch_NameMeta(a.(*NameMeta), b.(*porch.NameMeta), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.NameMeta)(nil), (*NameMeta)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_NameMeta_To_v1alpha1_NameMeta(a.(*porch.NameMeta), b.(*NameMeta), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OciPackage)(nil), (*porch.OciPackage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_OciPackage_To_porch_OciPackage(a.(*OciPackage), b.(*porch.OciPackage), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.OciPackage)(nil), (*OciPackage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_OciPackage_To_v1alpha1_OciPackage(a.(*porch.OciPackage), b.(*OciPackage), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Package)(nil), (*porch.Package)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Package_To_porch_Package(a.(*Package), b.(*porch.Package), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.Package)(nil), (*Package)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_Package_To_v1alpha1_Package(a.(*porch.Package), b.(*Package), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageCloneTaskSpec)(nil), (*porch.PackageCloneTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageCloneTaskSpec_To_porch_PackageCloneTaskSpec(a.(*PackageCloneTaskSpec), b.(*porch.PackageCloneTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageCloneTaskSpec)(nil), (*PackageCloneTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageCloneTaskSpec_To_v1alpha1_PackageCloneTaskSpec(a.(*porch.PackageCloneTaskSpec), b.(*PackageCloneTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageEditTaskSpec)(nil), (*porch.PackageEditTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageEditTaskSpec_To_porch_PackageEditTaskSpec(a.(*PackageEditTaskSpec), b.(*porch.PackageEditTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageEditTaskSpec)(nil), (*PackageEditTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageEditTaskSpec_To_v1alpha1_PackageEditTaskSpec(a.(*porch.PackageEditTaskSpec), b.(*PackageEditTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageInitTaskSpec)(nil), (*porch.PackageInitTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageInitTaskSpec_To_porch_PackageInitTaskSpec(a.(*PackageInitTaskSpec), b.(*porch.PackageInitTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageInitTaskSpec)(nil), (*PackageInitTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageInitTaskSpec_To_v1alpha1_PackageInitTaskSpec(a.(*porch.PackageInitTaskSpec), b.(*PackageInitTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageList)(nil), (*porch.PackageList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageList_To_porch_PackageList(a.(*PackageList), b.(*porch.PackageList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageList)(nil), (*PackageList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageList_To_v1alpha1_PackageList(a.(*porch.PackageList), b.(*PackageList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackagePatchTaskSpec)(nil), (*porch.PackagePatchTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackagePatchTaskSpec_To_porch_PackagePatchTaskSpec(a.(*PackagePatchTaskSpec), b.(*porch.PackagePatchTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackagePatchTaskSpec)(nil), (*PackagePatchTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackagePatchTaskSpec_To_v1alpha1_PackagePatchTaskSpec(a.(*porch.PackagePatchTaskSpec), b.(*PackagePatchTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevision)(nil), (*porch.PackageRevision)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevision_To_porch_PackageRevision(a.(*PackageRevision), b.(*porch.PackageRevision), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevision)(nil), (*PackageRevision)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevision_To_v1alpha1_PackageRevision(a.(*porch.PackageRevision), b.(*PackageRevision), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionList)(nil), (*porch.PackageRevisionList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionList_To_porch_PackageRevisionList(a.(*PackageRevisionList), b.(*porch.PackageRevisionList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionList)(nil), (*PackageRevisionList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionList_To_v1alpha1_PackageRevisionList(a.(*porch.PackageRevisionList), b.(*PackageRevisionList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionRef)(nil), (*porch.PackageRevisionRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionRef_To_porch_PackageRevisionRef(a.(*PackageRevisionRef), b.(*porch.PackageRevisionRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionRef)(nil), (*PackageRevisionRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionRef_To_v1alpha1_PackageRevisionRef(a.(*porch.PackageRevisionRef), b.(*PackageRevisionRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionResources)(nil), (*porch.PackageRevisionResources)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionResources_To_porch_PackageRevisionResources(a.(*PackageRevisionResources), b.(*porch.PackageRevisionResources), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionResources)(nil), (*PackageRevisionResources)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionResources_To_v1alpha1_PackageRevisionResources(a.(*porch.PackageRevisionResources), b.(*PackageRevisionResources), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionResourcesList)(nil), (*porch.PackageRevisionResourcesList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionResourcesList_To_porch_PackageRevisionResourcesList(a.(*PackageRevisionResourcesList), b.(*porch.PackageRevisionResourcesList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionResourcesList)(nil), (*PackageRevisionResourcesList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionResourcesList_To_v1alpha1_PackageRevisionResourcesList(a.(*porch.PackageRevisionResourcesList), b.(*PackageRevisionResourcesList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionResourcesSpec)(nil), (*porch.PackageRevisionResourcesSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionResourcesSpec_To_porch_PackageRevisionResourcesSpec(a.(*PackageRevisionResourcesSpec), b.(*porch.PackageRevisionResourcesSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionResourcesSpec)(nil), (*PackageRevisionResourcesSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionResourcesSpec_To_v1alpha1_PackageRevisionResourcesSpec(a.(*porch.PackageRevisionResourcesSpec), b.(*PackageRevisionResourcesSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionResourcesStatus)(nil), (*porch.PackageRevisionResourcesStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionResourcesStatus_To_porch_PackageRevisionResourcesStatus(a.(*PackageRevisionResourcesStatus), b.(*porch.PackageRevisionResourcesStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionResourcesStatus)(nil), (*PackageRevisionResourcesStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionResourcesStatus_To_v1alpha1_PackageRevisionResourcesStatus(a.(*porch.PackageRevisionResourcesStatus), b.(*PackageRevisionResourcesStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionSpec)(nil), (*porch.PackageRevisionSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionSpec_To_porch_PackageRevisionSpec(a.(*PackageRevisionSpec), b.(*porch.PackageRevisionSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionSpec)(nil), (*PackageRevisionSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionSpec_To_v1alpha1_PackageRevisionSpec(a.(*porch.PackageRevisionSpec), b.(*PackageRevisionSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageRevisionStatus)(nil), (*porch.PackageRevisionStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageRevisionStatus_To_porch_PackageRevisionStatus(a.(*PackageRevisionStatus), b.(*porch.PackageRevisionStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageRevisionStatus)(nil), (*PackageRevisionStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageRevisionStatus_To_v1alpha1_PackageRevisionStatus(a.(*porch.PackageRevisionStatus), b.(*PackageRevisionStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageSpec)(nil), (*porch.PackageSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageSpec_To_porch_PackageSpec(a.(*PackageSpec), b.(*porch.PackageSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageSpec)(nil), (*PackageSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageSpec_To_v1alpha1_PackageSpec(a.(*porch.PackageSpec), b.(*PackageSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageStatus)(nil), (*porch.PackageStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageStatus_To_porch_PackageStatus(a.(*PackageStatus), b.(*porch.PackageStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageStatus)(nil), (*PackageStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageStatus_To_v1alpha1_PackageStatus(a.(*porch.PackageStatus), b.(*PackageStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PackageUpdateTaskSpec)(nil), (*porch.PackageUpdateTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PackageUpdateTaskSpec_To_porch_PackageUpdateTaskSpec(a.(*PackageUpdateTaskSpec), b.(*porch.PackageUpdateTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PackageUpdateTaskSpec)(nil), (*PackageUpdateTaskSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PackageUpdateTaskSpec_To_v1alpha1_PackageUpdateTaskSpec(a.(*porch.PackageUpdateTaskSpec), b.(*PackageUpdateTaskSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ParentReference)(nil), (*porch.ParentReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ParentReference_To_porch_ParentReference(a.(*ParentReference), b.(*porch.ParentReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.ParentReference)(nil), (*ParentReference)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_ParentReference_To_v1alpha1_ParentReference(a.(*porch.ParentReference), b.(*ParentReference), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PatchSpec)(nil), (*porch.PatchSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_PatchSpec_To_porch_PatchSpec(a.(*PatchSpec), b.(*porch.PatchSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.PatchSpec)(nil), (*PatchSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_PatchSpec_To_v1alpha1_PatchSpec(a.(*porch.PatchSpec), b.(*PatchSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ReadinessGate)(nil), (*porch.ReadinessGate)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ReadinessGate_To_porch_ReadinessGate(a.(*ReadinessGate), b.(*porch.ReadinessGate), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.ReadinessGate)(nil), (*ReadinessGate)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_ReadinessGate_To_v1alpha1_ReadinessGate(a.(*porch.ReadinessGate), b.(*ReadinessGate), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*RenderStatus)(nil), (*porch.RenderStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_RenderStatus_To_porch_RenderStatus(a.(*RenderStatus), b.(*porch.RenderStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.RenderStatus)(nil), (*RenderStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_RenderStatus_To_v1alpha1_RenderStatus(a.(*porch.RenderStatus), b.(*RenderStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*RepositoryRef)(nil), (*porch.RepositoryRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_RepositoryRef_To_porch_RepositoryRef(a.(*RepositoryRef), b.(*porch.RepositoryRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.RepositoryRef)(nil), (*RepositoryRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_RepositoryRef_To_v1alpha1_RepositoryRef(a.(*porch.RepositoryRef), b.(*RepositoryRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ResourceIdentifier)(nil), (*porch.ResourceIdentifier)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ResourceIdentifier_To_porch_ResourceIdentifier(a.(*ResourceIdentifier), b.(*porch.ResourceIdentifier), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.ResourceIdentifier)(nil), (*ResourceIdentifier)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_ResourceIdentifier_To_v1alpha1_ResourceIdentifier(a.(*porch.ResourceIdentifier), b.(*ResourceIdentifier), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Result)(nil), (*porch.Result)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Result_To_porch_Result(a.(*Result), b.(*porch.Result), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.Result)(nil), (*Result)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_Result_To_v1alpha1_Result(a.(*porch.Result), b.(*Result), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ResultItem)(nil), (*porch.ResultItem)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ResultItem_To_porch_ResultItem(a.(*ResultItem), b.(*porch.ResultItem), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.ResultItem)(nil), (*ResultItem)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_ResultItem_To_v1alpha1_ResultItem(a.(*porch.ResultItem), b.(*ResultItem), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ResultList)(nil), (*porch.ResultList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_ResultList_To_porch_ResultList(a.(*ResultList), b.(*porch.ResultList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.ResultList)(nil), (*ResultList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_ResultList_To_v1alpha1_ResultList(a.(*porch.ResultList), b.(*ResultList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*SecretRef)(nil), (*porch.SecretRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_SecretRef_To_porch_SecretRef(a.(*SecretRef), b.(*porch.SecretRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.SecretRef)(nil), (*SecretRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_SecretRef_To_v1alpha1_SecretRef(a.(*porch.SecretRef), b.(*SecretRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Selector)(nil), (*porch.Selector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Selector_To_porch_Selector(a.(*Selector), b.(*porch.Selector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.Selector)(nil), (*Selector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_Selector_To_v1alpha1_Selector(a.(*porch.Selector), b.(*Selector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Task)(nil), (*porch.Task)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_Task_To_porch_Task(a.(*Task), b.(*porch.Task), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.Task)(nil), (*Task)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_Task_To_v1alpha1_Task(a.(*porch.Task), b.(*Task), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*TaskResult)(nil), (*porch.TaskResult)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_TaskResult_To_porch_TaskResult(a.(*TaskResult), b.(*porch.TaskResult), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.TaskResult)(nil), (*TaskResult)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_TaskResult_To_v1alpha1_TaskResult(a.(*porch.TaskResult), b.(*TaskResult), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*UpstreamLock)(nil), (*porch.UpstreamLock)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_UpstreamLock_To_porch_UpstreamLock(a.(*UpstreamLock), b.(*porch.UpstreamLock), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.UpstreamLock)(nil), (*UpstreamLock)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_UpstreamLock_To_v1alpha1_UpstreamLock(a.(*porch.UpstreamLock), b.(*UpstreamLock), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*UpstreamPackage)(nil), (*porch.UpstreamPackage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha1_UpstreamPackage_To_porch_UpstreamPackage(a.(*UpstreamPackage), b.(*porch.UpstreamPackage), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*porch.UpstreamPackage)(nil), (*UpstreamPackage)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_porch_UpstreamPackage_To_v1alpha1_UpstreamPackage(a.(*porch.UpstreamPackage), b.(*UpstreamPackage), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1alpha1_Condition_To_porch_Condition(in *Condition, out *porch.Condition, s conversion.Scope) error {
	out.Type = in.Type
	out.Status = porch.ConditionStatus(in.Status)
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_v1alpha1_Condition_To_porch_Condition is an autogenerated conversion function.
func Convert_v1alpha1_Condition_To_porch_Condition(in *Condition, out *porch.Condition, s conversion.Scope) error {
	return autoConvert_v1alpha1_Condition_To_porch_Condition(in, out, s)
}

func autoConvert_porch_Condition_To_v1alpha1_Condition(in *porch.Condition, out *Condition, s conversion.Scope) error {
	out.Type = in.Type
	out.Status = ConditionStatus(in.Status)
	out.Reason = in.Reason
	out.Message = in.Message
	return nil
}

// Convert_porch_Condition_To_v1alpha1_Condition is an autogenerated conversion function.
func Convert_porch_Condition_To_v1alpha1_Condition(in *porch.Condition, out *Condition, s conversion.Scope) error {
	return autoConvert_porch_Condition_To_v1alpha1_Condition(in, out, s)
}

func autoConvert_v1alpha1_Field_To_porch_Field(in *Field, out *porch.Field, s conversion.Scope) error {
	out.Path = in.Path
	out.CurrentValue = in.CurrentValue
	out.ProposedValue = in.ProposedValue
	return nil
}

// Convert_v1alpha1_Field_To_porch_Field is an autogenerated conversion function.
func Convert_v1alpha1_Field_To_porch_Field(in *Field, out *porch.Field, s conversion.Scope) error {
	return autoConvert_v1alpha1_Field_To_porch_Field(in, out, s)
}

func autoConvert_porch_Field_To_v1alpha1_Field(in *porch.Field, out *Field, s conversion.Scope) error {
	out.Path = in.Path
	out.CurrentValue = in.CurrentValue
	out.ProposedValue = in.ProposedValue
	return nil
}

// Convert_porch_Field_To_v1alpha1_Field is an autogenerated conversion function.
func Convert_porch_Field_To_v1alpha1_Field(in *porch.Field, out *Field, s conversion.Scope) error {
	return autoConvert_porch_Field_To_v1alpha1_Field(in, out, s)
}

func autoConvert_v1alpha1_File_To_porch_File(in *File, out *porch.File, s conversion.Scope) error {
	out.Path = in.Path
	out.Index = in.Index
	return nil
}

// Convert_v1alpha1_File_To_porch_File is an autogenerated conversion function.
func Convert_v1alpha1_File_To_porch_File(in *File, out *porch.File, s conversion.Scope) error {
	return autoConvert_v1alpha1_File_To_porch_File(in, out, s)
}

func autoConvert_porch_File_To_v1alpha1_File(in *porch.File, out *File, s conversion.Scope) error {
	out.Path = in.Path
	out.Index = in.Index
	return nil
}

// Convert_porch_File_To_v1alpha1_File is an autogenerated conversion function.
func Convert_porch_File_To_v1alpha1_File(in *porch.File, out *File, s conversion.Scope) error {
	return autoConvert_porch_File_To_v1alpha1_File(in, out, s)
}

func autoConvert_v1alpha1_Function_To_porch_Function(in *Function, out *porch.Function, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_FunctionSpec_To_porch_FunctionSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_FunctionStatus_To_porch_FunctionStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_Function_To_porch_Function is an autogenerated conversion function.
func Convert_v1alpha1_Function_To_porch_Function(in *Function, out *porch.Function, s conversion.Scope) error {
	return autoConvert_v1alpha1_Function_To_porch_Function(in, out, s)
}

func autoConvert_porch_Function_To_v1alpha1_Function(in *porch.Function, out *Function, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_porch_FunctionSpec_To_v1alpha1_FunctionSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_porch_FunctionStatus_To_v1alpha1_FunctionStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_Function_To_v1alpha1_Function is an autogenerated conversion function.
func Convert_porch_Function_To_v1alpha1_Function(in *porch.Function, out *Function, s conversion.Scope) error {
	return autoConvert_porch_Function_To_v1alpha1_Function(in, out, s)
}

func autoConvert_v1alpha1_FunctionConfig_To_porch_FunctionConfig(in *FunctionConfig, out *porch.FunctionConfig, s conversion.Scope) error {
	out.RequiredFields = *(*[]string)(unsafe.Pointer(&in.RequiredFields))
	return nil
}

// Convert_v1alpha1_FunctionConfig_To_porch_FunctionConfig is an autogenerated conversion function.
func Convert_v1alpha1_FunctionConfig_To_porch_FunctionConfig(in *FunctionConfig, out *porch.FunctionConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_FunctionConfig_To_porch_FunctionConfig(in, out, s)
}

func autoConvert_porch_FunctionConfig_To_v1alpha1_FunctionConfig(in *porch.FunctionConfig, out *FunctionConfig, s conversion.Scope) error {
	out.RequiredFields = *(*[]string)(unsafe.Pointer(&in.RequiredFields))
	return nil
}

// Convert_porch_FunctionConfig_To_v1alpha1_FunctionConfig is an autogenerated conversion function.
func Convert_porch_FunctionConfig_To_v1alpha1_FunctionConfig(in *porch.FunctionConfig, out *FunctionConfig, s conversion.Scope) error {
	return autoConvert_porch_FunctionConfig_To_v1alpha1_FunctionConfig(in, out, s)
}

func autoConvert_v1alpha1_FunctionEvalTaskSpec_To_porch_FunctionEvalTaskSpec(in *FunctionEvalTaskSpec, out *porch.FunctionEvalTaskSpec, s conversion.Scope) error {
	out.Subpackage = in.Subpackage
	out.Image = in.Image
	out.FunctionRef = (*porch.FunctionRef)(unsafe.Pointer(in.FunctionRef))
	out.ConfigMap = *(*map[string]string)(unsafe.Pointer(&in.ConfigMap))
	out.Config = in.Config
	out.IncludeMetaResources = in.IncludeMetaResources
	out.EnableNetwork = in.EnableNetwork
	if err := Convert_v1alpha1_Selector_To_porch_Selector(&in.Match, &out.Match, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_FunctionEvalTaskSpec_To_porch_FunctionEvalTaskSpec is an autogenerated conversion function.
func Convert_v1alpha1_FunctionEvalTaskSpec_To_porch_FunctionEvalTaskSpec(in *FunctionEvalTaskSpec, out *porch.FunctionEvalTaskSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_FunctionEvalTaskSpec_To_porch_FunctionEvalTaskSpec(in, out, s)
}

func autoConvert_porch_FunctionEvalTaskSpec_To_v1alpha1_FunctionEvalTaskSpec(in *porch.FunctionEvalTaskSpec, out *FunctionEvalTaskSpec, s conversion.Scope) error {
	out.Subpackage = in.Subpackage
	out.Image = in.Image
	out.FunctionRef = (*FunctionRef)(unsafe.Pointer(in.FunctionRef))
	out.ConfigMap = *(*map[string]string)(unsafe.Pointer(&in.ConfigMap))
	out.Config = in.Config
	out.IncludeMetaResources = in.IncludeMetaResources
	out.EnableNetwork = in.EnableNetwork
	if err := Convert_porch_Selector_To_v1alpha1_Selector(&in.Match, &out.Match, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_FunctionEvalTaskSpec_To_v1alpha1_FunctionEvalTaskSpec is an autogenerated conversion function.
func Convert_porch_FunctionEvalTaskSpec_To_v1alpha1_FunctionEvalTaskSpec(in *porch.FunctionEvalTaskSpec, out *FunctionEvalTaskSpec, s conversion.Scope) error {
	return autoConvert_porch_FunctionEvalTaskSpec_To_v1alpha1_FunctionEvalTaskSpec(in, out, s)
}

func autoConvert_v1alpha1_FunctionList_To_porch_FunctionList(in *FunctionList, out *porch.FunctionList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]porch.Function)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_FunctionList_To_porch_FunctionList is an autogenerated conversion function.
func Convert_v1alpha1_FunctionList_To_porch_FunctionList(in *FunctionList, out *porch.FunctionList, s conversion.Scope) error {
	return autoConvert_v1alpha1_FunctionList_To_porch_FunctionList(in, out, s)
}

func autoConvert_porch_FunctionList_To_v1alpha1_FunctionList(in *porch.FunctionList, out *FunctionList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]Function)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_porch_FunctionList_To_v1alpha1_FunctionList is an autogenerated conversion function.
func Convert_porch_FunctionList_To_v1alpha1_FunctionList(in *porch.FunctionList, out *FunctionList, s conversion.Scope) error {
	return autoConvert_porch_FunctionList_To_v1alpha1_FunctionList(in, out, s)
}

func autoConvert_v1alpha1_FunctionRef_To_porch_FunctionRef(in *FunctionRef, out *porch.FunctionRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_v1alpha1_FunctionRef_To_porch_FunctionRef is an autogenerated conversion function.
func Convert_v1alpha1_FunctionRef_To_porch_FunctionRef(in *FunctionRef, out *porch.FunctionRef, s conversion.Scope) error {
	return autoConvert_v1alpha1_FunctionRef_To_porch_FunctionRef(in, out, s)
}

func autoConvert_porch_FunctionRef_To_v1alpha1_FunctionRef(in *porch.FunctionRef, out *FunctionRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_porch_FunctionRef_To_v1alpha1_FunctionRef is an autogenerated conversion function.
func Convert_porch_FunctionRef_To_v1alpha1_FunctionRef(in *porch.FunctionRef, out *FunctionRef, s conversion.Scope) error {
	return autoConvert_porch_FunctionRef_To_v1alpha1_FunctionRef(in, out, s)
}

func autoConvert_v1alpha1_FunctionSpec_To_porch_FunctionSpec(in *FunctionSpec, out *porch.FunctionSpec, s conversion.Scope) error {
	out.Image = in.Image
	if err := Convert_v1alpha1_RepositoryRef_To_porch_RepositoryRef(&in.RepositoryRef, &out.RepositoryRef, s); err != nil {
		return err
	}
	out.FunctionTypes = *(*[]porch.FunctionType)(unsafe.Pointer(&in.FunctionTypes))
	out.FunctionConfigs = *(*[]porch.FunctionConfig)(unsafe.Pointer(&in.FunctionConfigs))
	out.Keywords = *(*[]string)(unsafe.Pointer(&in.Keywords))
	out.Description = in.Description
	out.DocumentationUrl = in.DocumentationUrl
	return nil
}

// Convert_v1alpha1_FunctionSpec_To_porch_FunctionSpec is an autogenerated conversion function.
func Convert_v1alpha1_FunctionSpec_To_porch_FunctionSpec(in *FunctionSpec, out *porch.FunctionSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_FunctionSpec_To_porch_FunctionSpec(in, out, s)
}

func autoConvert_porch_FunctionSpec_To_v1alpha1_FunctionSpec(in *porch.FunctionSpec, out *FunctionSpec, s conversion.Scope) error {
	out.Image = in.Image
	if err := Convert_porch_RepositoryRef_To_v1alpha1_RepositoryRef(&in.RepositoryRef, &out.RepositoryRef, s); err != nil {
		return err
	}
	out.FunctionTypes = *(*[]FunctionType)(unsafe.Pointer(&in.FunctionTypes))
	out.FunctionConfigs = *(*[]FunctionConfig)(unsafe.Pointer(&in.FunctionConfigs))
	out.Keywords = *(*[]string)(unsafe.Pointer(&in.Keywords))
	out.Description = in.Description
	out.DocumentationUrl = in.DocumentationUrl
	return nil
}

// Convert_porch_FunctionSpec_To_v1alpha1_FunctionSpec is an autogenerated conversion function.
func Convert_porch_FunctionSpec_To_v1alpha1_FunctionSpec(in *porch.FunctionSpec, out *FunctionSpec, s conversion.Scope) error {
	return autoConvert_porch_FunctionSpec_To_v1alpha1_FunctionSpec(in, out, s)
}

func autoConvert_v1alpha1_FunctionStatus_To_porch_FunctionStatus(in *FunctionStatus, out *porch.FunctionStatus, s conversion.Scope) error {
	return nil
}

// Convert_v1alpha1_FunctionStatus_To_porch_FunctionStatus is an autogenerated conversion function.
func Convert_v1alpha1_FunctionStatus_To_porch_FunctionStatus(in *FunctionStatus, out *porch.FunctionStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_FunctionStatus_To_porch_FunctionStatus(in, out, s)
}

func autoConvert_porch_FunctionStatus_To_v1alpha1_FunctionStatus(in *porch.FunctionStatus, out *FunctionStatus, s conversion.Scope) error {
	return nil
}

// Convert_porch_FunctionStatus_To_v1alpha1_FunctionStatus is an autogenerated conversion function.
func Convert_porch_FunctionStatus_To_v1alpha1_FunctionStatus(in *porch.FunctionStatus, out *FunctionStatus, s conversion.Scope) error {
	return autoConvert_porch_FunctionStatus_To_v1alpha1_FunctionStatus(in, out, s)
}

func autoConvert_v1alpha1_GitLock_To_porch_GitLock(in *GitLock, out *porch.GitLock, s conversion.Scope) error {
	out.Repo = in.Repo
	out.Directory = in.Directory
	out.Ref = in.Ref
	out.Commit = in.Commit
	return nil
}

// Convert_v1alpha1_GitLock_To_porch_GitLock is an autogenerated conversion function.
func Convert_v1alpha1_GitLock_To_porch_GitLock(in *GitLock, out *porch.GitLock, s conversion.Scope) error {
	return autoConvert_v1alpha1_GitLock_To_porch_GitLock(in, out, s)
}

func autoConvert_porch_GitLock_To_v1alpha1_GitLock(in *porch.GitLock, out *GitLock, s conversion.Scope) error {
	out.Repo = in.Repo
	out.Directory = in.Directory
	out.Ref = in.Ref
	out.Commit = in.Commit
	return nil
}

// Convert_porch_GitLock_To_v1alpha1_GitLock is an autogenerated conversion function.
func Convert_porch_GitLock_To_v1alpha1_GitLock(in *porch.GitLock, out *GitLock, s conversion.Scope) error {
	return autoConvert_porch_GitLock_To_v1alpha1_GitLock(in, out, s)
}

func autoConvert_v1alpha1_GitPackage_To_porch_GitPackage(in *GitPackage, out *porch.GitPackage, s conversion.Scope) error {
	out.Repo = in.Repo
	out.Ref = in.Ref
	out.Directory = in.Directory
	if err := Convert_v1alpha1_SecretRef_To_porch_SecretRef(&in.SecretRef, &out.SecretRef, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_GitPackage_To_porch_GitPackage is an autogenerated conversion function.
func Convert_v1alpha1_GitPackage_To_porch_GitPackage(in *GitPackage, out *porch.GitPackage, s conversion.Scope) error {
	return autoConvert_v1alpha1_GitPackage_To_porch_GitPackage(in, out, s)
}

func autoConvert_porch_GitPackage_To_v1alpha1_GitPackage(in *porch.GitPackage, out *GitPackage, s conversion.Scope) error {
	out.Repo = in.Repo
	out.Ref = in.Ref
	out.Directory = in.Directory
	if err := Convert_porch_SecretRef_To_v1alpha1_SecretRef(&in.SecretRef, &out.SecretRef, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_GitPackage_To_v1alpha1_GitPackage is an autogenerated conversion function.
func Convert_porch_GitPackage_To_v1alpha1_GitPackage(in *porch.GitPackage, out *GitPackage, s conversion.Scope) error {
	return autoConvert_porch_GitPackage_To_v1alpha1_GitPackage(in, out, s)
}

func autoConvert_v1alpha1_NameMeta_To_porch_NameMeta(in *NameMeta, out *porch.NameMeta, s conversion.Scope) error {
	out.Name = in.Name
	out.Namespace = in.Namespace
	return nil
}

// Convert_v1alpha1_NameMeta_To_porch_NameMeta is an autogenerated conversion function.
func Convert_v1alpha1_NameMeta_To_porch_NameMeta(in *NameMeta, out *porch.NameMeta, s conversion.Scope) error {
	return autoConvert_v1alpha1_NameMeta_To_porch_NameMeta(in, out, s)
}

func autoConvert_porch_NameMeta_To_v1alpha1_NameMeta(in *porch.NameMeta, out *NameMeta, s conversion.Scope) error {
	out.Name = in.Name
	out.Namespace = in.Namespace
	return nil
}

// Convert_porch_NameMeta_To_v1alpha1_NameMeta is an autogenerated conversion function.
func Convert_porch_NameMeta_To_v1alpha1_NameMeta(in *porch.NameMeta, out *NameMeta, s conversion.Scope) error {
	return autoConvert_porch_NameMeta_To_v1alpha1_NameMeta(in, out, s)
}

func autoConvert_v1alpha1_OciPackage_To_porch_OciPackage(in *OciPackage, out *porch.OciPackage, s conversion.Scope) error {
	out.Image = in.Image
	return nil
}

// Convert_v1alpha1_OciPackage_To_porch_OciPackage is an autogenerated conversion function.
func Convert_v1alpha1_OciPackage_To_porch_OciPackage(in *OciPackage, out *porch.OciPackage, s conversion.Scope) error {
	return autoConvert_v1alpha1_OciPackage_To_porch_OciPackage(in, out, s)
}

func autoConvert_porch_OciPackage_To_v1alpha1_OciPackage(in *porch.OciPackage, out *OciPackage, s conversion.Scope) error {
	out.Image = in.Image
	return nil
}

// Convert_porch_OciPackage_To_v1alpha1_OciPackage is an autogenerated conversion function.
func Convert_porch_OciPackage_To_v1alpha1_OciPackage(in *porch.OciPackage, out *OciPackage, s conversion.Scope) error {
	return autoConvert_porch_OciPackage_To_v1alpha1_OciPackage(in, out, s)
}

func autoConvert_v1alpha1_Package_To_porch_Package(in *Package, out *porch.Package, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_PackageSpec_To_porch_PackageSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_PackageStatus_To_porch_PackageStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_Package_To_porch_Package is an autogenerated conversion function.
func Convert_v1alpha1_Package_To_porch_Package(in *Package, out *porch.Package, s conversion.Scope) error {
	return autoConvert_v1alpha1_Package_To_porch_Package(in, out, s)
}

func autoConvert_porch_Package_To_v1alpha1_Package(in *porch.Package, out *Package, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_porch_PackageSpec_To_v1alpha1_PackageSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_porch_PackageStatus_To_v1alpha1_PackageStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_Package_To_v1alpha1_Package is an autogenerated conversion function.
func Convert_porch_Package_To_v1alpha1_Package(in *porch.Package, out *Package, s conversion.Scope) error {
	return autoConvert_porch_Package_To_v1alpha1_Package(in, out, s)
}

func autoConvert_v1alpha1_PackageCloneTaskSpec_To_porch_PackageCloneTaskSpec(in *PackageCloneTaskSpec, out *porch.PackageCloneTaskSpec, s conversion.Scope) error {
	if err := Convert_v1alpha1_UpstreamPackage_To_porch_UpstreamPackage(&in.Upstream, &out.Upstream, s); err != nil {
		return err
	}
	out.Strategy = porch.PackageMergeStrategy(in.Strategy)
	return nil
}

// Convert_v1alpha1_PackageCloneTaskSpec_To_porch_PackageCloneTaskSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackageCloneTaskSpec_To_porch_PackageCloneTaskSpec(in *PackageCloneTaskSpec, out *porch.PackageCloneTaskSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageCloneTaskSpec_To_porch_PackageCloneTaskSpec(in, out, s)
}

func autoConvert_porch_PackageCloneTaskSpec_To_v1alpha1_PackageCloneTaskSpec(in *porch.PackageCloneTaskSpec, out *PackageCloneTaskSpec, s conversion.Scope) error {
	if err := Convert_porch_UpstreamPackage_To_v1alpha1_UpstreamPackage(&in.Upstream, &out.Upstream, s); err != nil {
		return err
	}
	out.Strategy = PackageMergeStrategy(in.Strategy)
	return nil
}

// Convert_porch_PackageCloneTaskSpec_To_v1alpha1_PackageCloneTaskSpec is an autogenerated conversion function.
func Convert_porch_PackageCloneTaskSpec_To_v1alpha1_PackageCloneTaskSpec(in *porch.PackageCloneTaskSpec, out *PackageCloneTaskSpec, s conversion.Scope) error {
	return autoConvert_porch_PackageCloneTaskSpec_To_v1alpha1_PackageCloneTaskSpec(in, out, s)
}

func autoConvert_v1alpha1_PackageEditTaskSpec_To_porch_PackageEditTaskSpec(in *PackageEditTaskSpec, out *porch.PackageEditTaskSpec, s conversion.Scope) error {
	out.Source = (*porch.PackageRevisionRef)(unsafe.Pointer(in.Source))
	return nil
}

// Convert_v1alpha1_PackageEditTaskSpec_To_porch_PackageEditTaskSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackageEditTaskSpec_To_porch_PackageEditTaskSpec(in *PackageEditTaskSpec, out *porch.PackageEditTaskSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageEditTaskSpec_To_porch_PackageEditTaskSpec(in, out, s)
}

func autoConvert_porch_PackageEditTaskSpec_To_v1alpha1_PackageEditTaskSpec(in *porch.PackageEditTaskSpec, out *PackageEditTaskSpec, s conversion.Scope) error {
	out.Source = (*PackageRevisionRef)(unsafe.Pointer(in.Source))
	return nil
}

// Convert_porch_PackageEditTaskSpec_To_v1alpha1_PackageEditTaskSpec is an autogenerated conversion function.
func Convert_porch_PackageEditTaskSpec_To_v1alpha1_PackageEditTaskSpec(in *porch.PackageEditTaskSpec, out *PackageEditTaskSpec, s conversion.Scope) error {
	return autoConvert_porch_PackageEditTaskSpec_To_v1alpha1_PackageEditTaskSpec(in, out, s)
}

func autoConvert_v1alpha1_PackageInitTaskSpec_To_porch_PackageInitTaskSpec(in *PackageInitTaskSpec, out *porch.PackageInitTaskSpec, s conversion.Scope) error {
	out.Subpackage = in.Subpackage
	out.Description = in.Description
	out.Keywords = *(*[]string)(unsafe.Pointer(&in.Keywords))
	out.Site = in.Site
	return nil
}

// Convert_v1alpha1_PackageInitTaskSpec_To_porch_PackageInitTaskSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackageInitTaskSpec_To_porch_PackageInitTaskSpec(in *PackageInitTaskSpec, out *porch.PackageInitTaskSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageInitTaskSpec_To_porch_PackageInitTaskSpec(in, out, s)
}

func autoConvert_porch_PackageInitTaskSpec_To_v1alpha1_PackageInitTaskSpec(in *porch.PackageInitTaskSpec, out *PackageInitTaskSpec, s conversion.Scope) error {
	out.Subpackage = in.Subpackage
	out.Description = in.Description
	out.Keywords = *(*[]string)(unsafe.Pointer(&in.Keywords))
	out.Site = in.Site
	return nil
}

// Convert_porch_PackageInitTaskSpec_To_v1alpha1_PackageInitTaskSpec is an autogenerated conversion function.
func Convert_porch_PackageInitTaskSpec_To_v1alpha1_PackageInitTaskSpec(in *porch.PackageInitTaskSpec, out *PackageInitTaskSpec, s conversion.Scope) error {
	return autoConvert_porch_PackageInitTaskSpec_To_v1alpha1_PackageInitTaskSpec(in, out, s)
}

func autoConvert_v1alpha1_PackageList_To_porch_PackageList(in *PackageList, out *porch.PackageList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]porch.Package)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_PackageList_To_porch_PackageList is an autogenerated conversion function.
func Convert_v1alpha1_PackageList_To_porch_PackageList(in *PackageList, out *porch.PackageList, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageList_To_porch_PackageList(in, out, s)
}

func autoConvert_porch_PackageList_To_v1alpha1_PackageList(in *porch.PackageList, out *PackageList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]Package)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_porch_PackageList_To_v1alpha1_PackageList is an autogenerated conversion function.
func Convert_porch_PackageList_To_v1alpha1_PackageList(in *porch.PackageList, out *PackageList, s conversion.Scope) error {
	return autoConvert_porch_PackageList_To_v1alpha1_PackageList(in, out, s)
}

func autoConvert_v1alpha1_PackagePatchTaskSpec_To_porch_PackagePatchTaskSpec(in *PackagePatchTaskSpec, out *porch.PackagePatchTaskSpec, s conversion.Scope) error {
	out.Patches = *(*[]porch.PatchSpec)(unsafe.Pointer(&in.Patches))
	return nil
}

// Convert_v1alpha1_PackagePatchTaskSpec_To_porch_PackagePatchTaskSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackagePatchTaskSpec_To_porch_PackagePatchTaskSpec(in *PackagePatchTaskSpec, out *porch.PackagePatchTaskSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackagePatchTaskSpec_To_porch_PackagePatchTaskSpec(in, out, s)
}

func autoConvert_porch_PackagePatchTaskSpec_To_v1alpha1_PackagePatchTaskSpec(in *porch.PackagePatchTaskSpec, out *PackagePatchTaskSpec, s conversion.Scope) error {
	out.Patches = *(*[]PatchSpec)(unsafe.Pointer(&in.Patches))
	return nil
}

// Convert_porch_PackagePatchTaskSpec_To_v1alpha1_PackagePatchTaskSpec is an autogenerated conversion function.
func Convert_porch_PackagePatchTaskSpec_To_v1alpha1_PackagePatchTaskSpec(in *porch.PackagePatchTaskSpec, out *PackagePatchTaskSpec, s conversion.Scope) error {
	return autoConvert_porch_PackagePatchTaskSpec_To_v1alpha1_PackagePatchTaskSpec(in, out, s)
}

func autoConvert_v1alpha1_PackageRevision_To_porch_PackageRevision(in *PackageRevision, out *porch.PackageRevision, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_PackageRevisionSpec_To_porch_PackageRevisionSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_PackageRevisionStatus_To_porch_PackageRevisionStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_PackageRevision_To_porch_PackageRevision is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevision_To_porch_PackageRevision(in *PackageRevision, out *porch.PackageRevision, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevision_To_porch_PackageRevision(in, out, s)
}

func autoConvert_porch_PackageRevision_To_v1alpha1_PackageRevision(in *porch.PackageRevision, out *PackageRevision, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_porch_PackageRevisionSpec_To_v1alpha1_PackageRevisionSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_porch_PackageRevisionStatus_To_v1alpha1_PackageRevisionStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_PackageRevision_To_v1alpha1_PackageRevision is an autogenerated conversion function.
func Convert_porch_PackageRevision_To_v1alpha1_PackageRevision(in *porch.PackageRevision, out *PackageRevision, s conversion.Scope) error {
	return autoConvert_porch_PackageRevision_To_v1alpha1_PackageRevision(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionList_To_porch_PackageRevisionList(in *PackageRevisionList, out *porch.PackageRevisionList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]porch.PackageRevision)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_PackageRevisionList_To_porch_PackageRevisionList is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionList_To_porch_PackageRevisionList(in *PackageRevisionList, out *porch.PackageRevisionList, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionList_To_porch_PackageRevisionList(in, out, s)
}

func autoConvert_porch_PackageRevisionList_To_v1alpha1_PackageRevisionList(in *porch.PackageRevisionList, out *PackageRevisionList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]PackageRevision)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_porch_PackageRevisionList_To_v1alpha1_PackageRevisionList is an autogenerated conversion function.
func Convert_porch_PackageRevisionList_To_v1alpha1_PackageRevisionList(in *porch.PackageRevisionList, out *PackageRevisionList, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionList_To_v1alpha1_PackageRevisionList(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionRef_To_porch_PackageRevisionRef(in *PackageRevisionRef, out *porch.PackageRevisionRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_v1alpha1_PackageRevisionRef_To_porch_PackageRevisionRef is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionRef_To_porch_PackageRevisionRef(in *PackageRevisionRef, out *porch.PackageRevisionRef, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionRef_To_porch_PackageRevisionRef(in, out, s)
}

func autoConvert_porch_PackageRevisionRef_To_v1alpha1_PackageRevisionRef(in *porch.PackageRevisionRef, out *PackageRevisionRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_porch_PackageRevisionRef_To_v1alpha1_PackageRevisionRef is an autogenerated conversion function.
func Convert_porch_PackageRevisionRef_To_v1alpha1_PackageRevisionRef(in *porch.PackageRevisionRef, out *PackageRevisionRef, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionRef_To_v1alpha1_PackageRevisionRef(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionResources_To_porch_PackageRevisionResources(in *PackageRevisionResources, out *porch.PackageRevisionResources, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_PackageRevisionResourcesSpec_To_porch_PackageRevisionResourcesSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_PackageRevisionResourcesStatus_To_porch_PackageRevisionResourcesStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_PackageRevisionResources_To_porch_PackageRevisionResources is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionResources_To_porch_PackageRevisionResources(in *PackageRevisionResources, out *porch.PackageRevisionResources, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionResources_To_porch_PackageRevisionResources(in, out, s)
}

func autoConvert_porch_PackageRevisionResources_To_v1alpha1_PackageRevisionResources(in *porch.PackageRevisionResources, out *PackageRevisionResources, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_porch_PackageRevisionResourcesSpec_To_v1alpha1_PackageRevisionResourcesSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_porch_PackageRevisionResourcesStatus_To_v1alpha1_PackageRevisionResourcesStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_PackageRevisionResources_To_v1alpha1_PackageRevisionResources is an autogenerated conversion function.
func Convert_porch_PackageRevisionResources_To_v1alpha1_PackageRevisionResources(in *porch.PackageRevisionResources, out *PackageRevisionResources, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionResources_To_v1alpha1_PackageRevisionResources(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionResourcesList_To_porch_PackageRevisionResourcesList(in *PackageRevisionResourcesList, out *porch.PackageRevisionResourcesList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]porch.PackageRevisionResources)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_PackageRevisionResourcesList_To_porch_PackageRevisionResourcesList is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionResourcesList_To_porch_PackageRevisionResourcesList(in *PackageRevisionResourcesList, out *porch.PackageRevisionResourcesList, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionResourcesList_To_porch_PackageRevisionResourcesList(in, out, s)
}

func autoConvert_porch_PackageRevisionResourcesList_To_v1alpha1_PackageRevisionResourcesList(in *porch.PackageRevisionResourcesList, out *PackageRevisionResourcesList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]PackageRevisionResources)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_porch_PackageRevisionResourcesList_To_v1alpha1_PackageRevisionResourcesList is an autogenerated conversion function.
func Convert_porch_PackageRevisionResourcesList_To_v1alpha1_PackageRevisionResourcesList(in *porch.PackageRevisionResourcesList, out *PackageRevisionResourcesList, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionResourcesList_To_v1alpha1_PackageRevisionResourcesList(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionResourcesSpec_To_porch_PackageRevisionResourcesSpec(in *PackageRevisionResourcesSpec, out *porch.PackageRevisionResourcesSpec, s conversion.Scope) error {
	out.PackageName = in.PackageName
	out.WorkspaceName = porch.WorkspaceName(in.WorkspaceName)
	out.Revision = in.Revision
	out.RepositoryName = in.RepositoryName
	out.Resources = *(*map[string]string)(unsafe.Pointer(&in.Resources))
	return nil
}

// Convert_v1alpha1_PackageRevisionResourcesSpec_To_porch_PackageRevisionResourcesSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionResourcesSpec_To_porch_PackageRevisionResourcesSpec(in *PackageRevisionResourcesSpec, out *porch.PackageRevisionResourcesSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionResourcesSpec_To_porch_PackageRevisionResourcesSpec(in, out, s)
}

func autoConvert_porch_PackageRevisionResourcesSpec_To_v1alpha1_PackageRevisionResourcesSpec(in *porch.PackageRevisionResourcesSpec, out *PackageRevisionResourcesSpec, s conversion.Scope) error {
	out.PackageName = in.PackageName
	out.WorkspaceName = WorkspaceName(in.WorkspaceName)
	out.Revision = in.Revision
	out.RepositoryName = in.RepositoryName
	out.Resources = *(*map[string]string)(unsafe.Pointer(&in.Resources))
	return nil
}

// Convert_porch_PackageRevisionResourcesSpec_To_v1alpha1_PackageRevisionResourcesSpec is an autogenerated conversion function.
func Convert_porch_PackageRevisionResourcesSpec_To_v1alpha1_PackageRevisionResourcesSpec(in *porch.PackageRevisionResourcesSpec, out *PackageRevisionResourcesSpec, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionResourcesSpec_To_v1alpha1_PackageRevisionResourcesSpec(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionResourcesStatus_To_porch_PackageRevisionResourcesStatus(in *PackageRevisionResourcesStatus, out *porch.PackageRevisionResourcesStatus, s conversion.Scope) error {
	if err := Convert_v1alpha1_RenderStatus_To_porch_RenderStatus(&in.RenderStatus, &out.RenderStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_PackageRevisionResourcesStatus_To_porch_PackageRevisionResourcesStatus is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionResourcesStatus_To_porch_PackageRevisionResourcesStatus(in *PackageRevisionResourcesStatus, out *porch.PackageRevisionResourcesStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionResourcesStatus_To_porch_PackageRevisionResourcesStatus(in, out, s)
}

func autoConvert_porch_PackageRevisionResourcesStatus_To_v1alpha1_PackageRevisionResourcesStatus(in *porch.PackageRevisionResourcesStatus, out *PackageRevisionResourcesStatus, s conversion.Scope) error {
	if err := Convert_porch_RenderStatus_To_v1alpha1_RenderStatus(&in.RenderStatus, &out.RenderStatus, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_PackageRevisionResourcesStatus_To_v1alpha1_PackageRevisionResourcesStatus is an autogenerated conversion function.
func Convert_porch_PackageRevisionResourcesStatus_To_v1alpha1_PackageRevisionResourcesStatus(in *porch.PackageRevisionResourcesStatus, out *PackageRevisionResourcesStatus, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionResourcesStatus_To_v1alpha1_PackageRevisionResourcesStatus(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionSpec_To_porch_PackageRevisionSpec(in *PackageRevisionSpec, out *porch.PackageRevisionSpec, s conversion.Scope) error {
	out.PackageName = in.PackageName
	out.RepositoryName = in.RepositoryName
	out.WorkspaceName = porch.WorkspaceName(in.WorkspaceName)
	out.Revision = in.Revision
	out.Parent = (*porch.ParentReference)(unsafe.Pointer(in.Parent))
	out.Lifecycle = porch.PackageRevisionLifecycle(in.Lifecycle)
	out.Tasks = *(*[]porch.Task)(unsafe.Pointer(&in.Tasks))
	out.ReadinessGates = *(*[]porch.ReadinessGate)(unsafe.Pointer(&in.ReadinessGates))
	return nil
}

// Convert_v1alpha1_PackageRevisionSpec_To_porch_PackageRevisionSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionSpec_To_porch_PackageRevisionSpec(in *PackageRevisionSpec, out *porch.PackageRevisionSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionSpec_To_porch_PackageRevisionSpec(in, out, s)
}

func autoConvert_porch_PackageRevisionSpec_To_v1alpha1_PackageRevisionSpec(in *porch.PackageRevisionSpec, out *PackageRevisionSpec, s conversion.Scope) error {
	out.PackageName = in.PackageName
	out.RepositoryName = in.RepositoryName
	out.WorkspaceName = WorkspaceName(in.WorkspaceName)
	out.Revision = in.Revision
	out.Parent = (*ParentReference)(unsafe.Pointer(in.Parent))
	out.Lifecycle = PackageRevisionLifecycle(in.Lifecycle)
	out.Tasks = *(*[]Task)(unsafe.Pointer(&in.Tasks))
	out.ReadinessGates = *(*[]ReadinessGate)(unsafe.Pointer(&in.ReadinessGates))
	return nil
}

// Convert_porch_PackageRevisionSpec_To_v1alpha1_PackageRevisionSpec is an autogenerated conversion function.
func Convert_porch_PackageRevisionSpec_To_v1alpha1_PackageRevisionSpec(in *porch.PackageRevisionSpec, out *PackageRevisionSpec, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionSpec_To_v1alpha1_PackageRevisionSpec(in, out, s)
}

func autoConvert_v1alpha1_PackageRevisionStatus_To_porch_PackageRevisionStatus(in *PackageRevisionStatus, out *porch.PackageRevisionStatus, s conversion.Scope) error {
	out.UpstreamLock = (*porch.UpstreamLock)(unsafe.Pointer(in.UpstreamLock))
	out.PublishedBy = in.PublishedBy
	out.PublishedAt = in.PublishedAt
	out.Deployment = in.Deployment
	out.Conditions = *(*[]porch.Condition)(unsafe.Pointer(&in.Conditions))
	return nil
}

// Convert_v1alpha1_PackageRevisionStatus_To_porch_PackageRevisionStatus is an autogenerated conversion function.
func Convert_v1alpha1_PackageRevisionStatus_To_porch_PackageRevisionStatus(in *PackageRevisionStatus, out *porch.PackageRevisionStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageRevisionStatus_To_porch_PackageRevisionStatus(in, out, s)
}

func autoConvert_porch_PackageRevisionStatus_To_v1alpha1_PackageRevisionStatus(in *porch.PackageRevisionStatus, out *PackageRevisionStatus, s conversion.Scope) error {
	out.UpstreamLock = (*UpstreamLock)(unsafe.Pointer(in.UpstreamLock))
	out.PublishedBy = in.PublishedBy
	out.PublishedAt = in.PublishedAt
	out.Deployment = in.Deployment
	out.Conditions = *(*[]Condition)(unsafe.Pointer(&in.Conditions))
	return nil
}

// Convert_porch_PackageRevisionStatus_To_v1alpha1_PackageRevisionStatus is an autogenerated conversion function.
func Convert_porch_PackageRevisionStatus_To_v1alpha1_PackageRevisionStatus(in *porch.PackageRevisionStatus, out *PackageRevisionStatus, s conversion.Scope) error {
	return autoConvert_porch_PackageRevisionStatus_To_v1alpha1_PackageRevisionStatus(in, out, s)
}

func autoConvert_v1alpha1_PackageSpec_To_porch_PackageSpec(in *PackageSpec, out *porch.PackageSpec, s conversion.Scope) error {
	out.PackageName = in.PackageName
	out.RepositoryName = in.RepositoryName
	return nil
}

// Convert_v1alpha1_PackageSpec_To_porch_PackageSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackageSpec_To_porch_PackageSpec(in *PackageSpec, out *porch.PackageSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageSpec_To_porch_PackageSpec(in, out, s)
}

func autoConvert_porch_PackageSpec_To_v1alpha1_PackageSpec(in *porch.PackageSpec, out *PackageSpec, s conversion.Scope) error {
	out.PackageName = in.PackageName
	out.RepositoryName = in.RepositoryName
	return nil
}

// Convert_porch_PackageSpec_To_v1alpha1_PackageSpec is an autogenerated conversion function.
func Convert_porch_PackageSpec_To_v1alpha1_PackageSpec(in *porch.PackageSpec, out *PackageSpec, s conversion.Scope) error {
	return autoConvert_porch_PackageSpec_To_v1alpha1_PackageSpec(in, out, s)
}

func autoConvert_v1alpha1_PackageStatus_To_porch_PackageStatus(in *PackageStatus, out *porch.PackageStatus, s conversion.Scope) error {
	out.LatestRevision = in.LatestRevision
	return nil
}

// Convert_v1alpha1_PackageStatus_To_porch_PackageStatus is an autogenerated conversion function.
func Convert_v1alpha1_PackageStatus_To_porch_PackageStatus(in *PackageStatus, out *porch.PackageStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageStatus_To_porch_PackageStatus(in, out, s)
}

func autoConvert_porch_PackageStatus_To_v1alpha1_PackageStatus(in *porch.PackageStatus, out *PackageStatus, s conversion.Scope) error {
	out.LatestRevision = in.LatestRevision
	return nil
}

// Convert_porch_PackageStatus_To_v1alpha1_PackageStatus is an autogenerated conversion function.
func Convert_porch_PackageStatus_To_v1alpha1_PackageStatus(in *porch.PackageStatus, out *PackageStatus, s conversion.Scope) error {
	return autoConvert_porch_PackageStatus_To_v1alpha1_PackageStatus(in, out, s)
}

func autoConvert_v1alpha1_PackageUpdateTaskSpec_To_porch_PackageUpdateTaskSpec(in *PackageUpdateTaskSpec, out *porch.PackageUpdateTaskSpec, s conversion.Scope) error {
	if err := Convert_v1alpha1_UpstreamPackage_To_porch_UpstreamPackage(&in.Upstream, &out.Upstream, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_PackageUpdateTaskSpec_To_porch_PackageUpdateTaskSpec is an autogenerated conversion function.
func Convert_v1alpha1_PackageUpdateTaskSpec_To_porch_PackageUpdateTaskSpec(in *PackageUpdateTaskSpec, out *porch.PackageUpdateTaskSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PackageUpdateTaskSpec_To_porch_PackageUpdateTaskSpec(in, out, s)
}

func autoConvert_porch_PackageUpdateTaskSpec_To_v1alpha1_PackageUpdateTaskSpec(in *porch.PackageUpdateTaskSpec, out *PackageUpdateTaskSpec, s conversion.Scope) error {
	if err := Convert_porch_UpstreamPackage_To_v1alpha1_UpstreamPackage(&in.Upstream, &out.Upstream, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_PackageUpdateTaskSpec_To_v1alpha1_PackageUpdateTaskSpec is an autogenerated conversion function.
func Convert_porch_PackageUpdateTaskSpec_To_v1alpha1_PackageUpdateTaskSpec(in *porch.PackageUpdateTaskSpec, out *PackageUpdateTaskSpec, s conversion.Scope) error {
	return autoConvert_porch_PackageUpdateTaskSpec_To_v1alpha1_PackageUpdateTaskSpec(in, out, s)
}

func autoConvert_v1alpha1_ParentReference_To_porch_ParentReference(in *ParentReference, out *porch.ParentReference, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_v1alpha1_ParentReference_To_porch_ParentReference is an autogenerated conversion function.
func Convert_v1alpha1_ParentReference_To_porch_ParentReference(in *ParentReference, out *porch.ParentReference, s conversion.Scope) error {
	return autoConvert_v1alpha1_ParentReference_To_porch_ParentReference(in, out, s)
}

func autoConvert_porch_ParentReference_To_v1alpha1_ParentReference(in *porch.ParentReference, out *ParentReference, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_porch_ParentReference_To_v1alpha1_ParentReference is an autogenerated conversion function.
func Convert_porch_ParentReference_To_v1alpha1_ParentReference(in *porch.ParentReference, out *ParentReference, s conversion.Scope) error {
	return autoConvert_porch_ParentReference_To_v1alpha1_ParentReference(in, out, s)
}

func autoConvert_v1alpha1_PatchSpec_To_porch_PatchSpec(in *PatchSpec, out *porch.PatchSpec, s conversion.Scope) error {
	out.File = in.File
	out.Contents = in.Contents
	out.PatchType = porch.PatchType(in.PatchType)
	return nil
}

// Convert_v1alpha1_PatchSpec_To_porch_PatchSpec is an autogenerated conversion function.
func Convert_v1alpha1_PatchSpec_To_porch_PatchSpec(in *PatchSpec, out *porch.PatchSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_PatchSpec_To_porch_PatchSpec(in, out, s)
}

func autoConvert_porch_PatchSpec_To_v1alpha1_PatchSpec(in *porch.PatchSpec, out *PatchSpec, s conversion.Scope) error {
	out.File = in.File
	out.Contents = in.Contents
	out.PatchType = PatchType(in.PatchType)
	return nil
}

// Convert_porch_PatchSpec_To_v1alpha1_PatchSpec is an autogenerated conversion function.
func Convert_porch_PatchSpec_To_v1alpha1_PatchSpec(in *porch.PatchSpec, out *PatchSpec, s conversion.Scope) error {
	return autoConvert_porch_PatchSpec_To_v1alpha1_PatchSpec(in, out, s)
}

func autoConvert_v1alpha1_ReadinessGate_To_porch_ReadinessGate(in *ReadinessGate, out *porch.ReadinessGate, s conversion.Scope) error {
	out.ConditionType = in.ConditionType
	return nil
}

// Convert_v1alpha1_ReadinessGate_To_porch_ReadinessGate is an autogenerated conversion function.
func Convert_v1alpha1_ReadinessGate_To_porch_ReadinessGate(in *ReadinessGate, out *porch.ReadinessGate, s conversion.Scope) error {
	return autoConvert_v1alpha1_ReadinessGate_To_porch_ReadinessGate(in, out, s)
}

func autoConvert_porch_ReadinessGate_To_v1alpha1_ReadinessGate(in *porch.ReadinessGate, out *ReadinessGate, s conversion.Scope) error {
	out.ConditionType = in.ConditionType
	return nil
}

// Convert_porch_ReadinessGate_To_v1alpha1_ReadinessGate is an autogenerated conversion function.
func Convert_porch_ReadinessGate_To_v1alpha1_ReadinessGate(in *porch.ReadinessGate, out *ReadinessGate, s conversion.Scope) error {
	return autoConvert_porch_ReadinessGate_To_v1alpha1_ReadinessGate(in, out, s)
}

func autoConvert_v1alpha1_RenderStatus_To_porch_RenderStatus(in *RenderStatus, out *porch.RenderStatus, s conversion.Scope) error {
	if err := Convert_v1alpha1_ResultList_To_porch_ResultList(&in.Result, &out.Result, s); err != nil {
		return err
	}
	out.Err = in.Err
	return nil
}

// Convert_v1alpha1_RenderStatus_To_porch_RenderStatus is an autogenerated conversion function.
func Convert_v1alpha1_RenderStatus_To_porch_RenderStatus(in *RenderStatus, out *porch.RenderStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_RenderStatus_To_porch_RenderStatus(in, out, s)
}

func autoConvert_porch_RenderStatus_To_v1alpha1_RenderStatus(in *porch.RenderStatus, out *RenderStatus, s conversion.Scope) error {
	if err := Convert_porch_ResultList_To_v1alpha1_ResultList(&in.Result, &out.Result, s); err != nil {
		return err
	}
	out.Err = in.Err
	return nil
}

// Convert_porch_RenderStatus_To_v1alpha1_RenderStatus is an autogenerated conversion function.
func Convert_porch_RenderStatus_To_v1alpha1_RenderStatus(in *porch.RenderStatus, out *RenderStatus, s conversion.Scope) error {
	return autoConvert_porch_RenderStatus_To_v1alpha1_RenderStatus(in, out, s)
}

func autoConvert_v1alpha1_RepositoryRef_To_porch_RepositoryRef(in *RepositoryRef, out *porch.RepositoryRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_v1alpha1_RepositoryRef_To_porch_RepositoryRef is an autogenerated conversion function.
func Convert_v1alpha1_RepositoryRef_To_porch_RepositoryRef(in *RepositoryRef, out *porch.RepositoryRef, s conversion.Scope) error {
	return autoConvert_v1alpha1_RepositoryRef_To_porch_RepositoryRef(in, out, s)
}

func autoConvert_porch_RepositoryRef_To_v1alpha1_RepositoryRef(in *porch.RepositoryRef, out *RepositoryRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_porch_RepositoryRef_To_v1alpha1_RepositoryRef is an autogenerated conversion function.
func Convert_porch_RepositoryRef_To_v1alpha1_RepositoryRef(in *porch.RepositoryRef, out *RepositoryRef, s conversion.Scope) error {
	return autoConvert_porch_RepositoryRef_To_v1alpha1_RepositoryRef(in, out, s)
}

func autoConvert_v1alpha1_ResourceIdentifier_To_porch_ResourceIdentifier(in *ResourceIdentifier, out *porch.ResourceIdentifier, s conversion.Scope) error {
	if err := Convert_v1alpha1_NameMeta_To_porch_NameMeta(&in.NameMeta, &out.NameMeta, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_ResourceIdentifier_To_porch_ResourceIdentifier is an autogenerated conversion function.
func Convert_v1alpha1_ResourceIdentifier_To_porch_ResourceIdentifier(in *ResourceIdentifier, out *porch.ResourceIdentifier, s conversion.Scope) error {
	return autoConvert_v1alpha1_ResourceIdentifier_To_porch_ResourceIdentifier(in, out, s)
}

func autoConvert_porch_ResourceIdentifier_To_v1alpha1_ResourceIdentifier(in *porch.ResourceIdentifier, out *ResourceIdentifier, s conversion.Scope) error {
	if err := Convert_porch_NameMeta_To_v1alpha1_NameMeta(&in.NameMeta, &out.NameMeta, s); err != nil {
		return err
	}
	return nil
}

// Convert_porch_ResourceIdentifier_To_v1alpha1_ResourceIdentifier is an autogenerated conversion function.
func Convert_porch_ResourceIdentifier_To_v1alpha1_ResourceIdentifier(in *porch.ResourceIdentifier, out *ResourceIdentifier, s conversion.Scope) error {
	return autoConvert_porch_ResourceIdentifier_To_v1alpha1_ResourceIdentifier(in, out, s)
}

func autoConvert_v1alpha1_Result_To_porch_Result(in *Result, out *porch.Result, s conversion.Scope) error {
	out.Image = in.Image
	out.ExecPath = in.ExecPath
	out.Stderr = in.Stderr
	out.ExitCode = in.ExitCode
	out.Results = *(*[]porch.ResultItem)(unsafe.Pointer(&in.Results))
	return nil
}

// Convert_v1alpha1_Result_To_porch_Result is an autogenerated conversion function.
func Convert_v1alpha1_Result_To_porch_Result(in *Result, out *porch.Result, s conversion.Scope) error {
	return autoConvert_v1alpha1_Result_To_porch_Result(in, out, s)
}

func autoConvert_porch_Result_To_v1alpha1_Result(in *porch.Result, out *Result, s conversion.Scope) error {
	out.Image = in.Image
	out.ExecPath = in.ExecPath
	out.Stderr = in.Stderr
	out.ExitCode = in.ExitCode
	out.Results = *(*[]ResultItem)(unsafe.Pointer(&in.Results))
	return nil
}

// Convert_porch_Result_To_v1alpha1_Result is an autogenerated conversion function.
func Convert_porch_Result_To_v1alpha1_Result(in *porch.Result, out *Result, s conversion.Scope) error {
	return autoConvert_porch_Result_To_v1alpha1_Result(in, out, s)
}

func autoConvert_v1alpha1_ResultItem_To_porch_ResultItem(in *ResultItem, out *porch.ResultItem, s conversion.Scope) error {
	out.Message = in.Message
	out.Severity = in.Severity
	out.ResourceRef = (*porch.ResourceIdentifier)(unsafe.Pointer(in.ResourceRef))
	out.Field = (*porch.Field)(unsafe.Pointer(in.Field))
	out.File = (*porch.File)(unsafe.Pointer(in.File))
	out.Tags = *(*map[string]string)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_v1alpha1_ResultItem_To_porch_ResultItem is an autogenerated conversion function.
func Convert_v1alpha1_ResultItem_To_porch_ResultItem(in *ResultItem, out *porch.ResultItem, s conversion.Scope) error {
	return autoConvert_v1alpha1_ResultItem_To_porch_ResultItem(in, out, s)
}

func autoConvert_porch_ResultItem_To_v1alpha1_ResultItem(in *porch.ResultItem, out *ResultItem, s conversion.Scope) error {
	out.Message = in.Message
	out.Severity = in.Severity
	out.ResourceRef = (*ResourceIdentifier)(unsafe.Pointer(in.ResourceRef))
	out.Field = (*Field)(unsafe.Pointer(in.Field))
	out.File = (*File)(unsafe.Pointer(in.File))
	out.Tags = *(*map[string]string)(unsafe.Pointer(&in.Tags))
	return nil
}

// Convert_porch_ResultItem_To_v1alpha1_ResultItem is an autogenerated conversion function.
func Convert_porch_ResultItem_To_v1alpha1_ResultItem(in *porch.ResultItem, out *ResultItem, s conversion.Scope) error {
	return autoConvert_porch_ResultItem_To_v1alpha1_ResultItem(in, out, s)
}

func autoConvert_v1alpha1_ResultList_To_porch_ResultList(in *ResultList, out *porch.ResultList, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	out.ExitCode = in.ExitCode
	out.Items = *(*[]*porch.Result)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_ResultList_To_porch_ResultList is an autogenerated conversion function.
func Convert_v1alpha1_ResultList_To_porch_ResultList(in *ResultList, out *porch.ResultList, s conversion.Scope) error {
	return autoConvert_v1alpha1_ResultList_To_porch_ResultList(in, out, s)
}

func autoConvert_porch_ResultList_To_v1alpha1_ResultList(in *porch.ResultList, out *ResultList, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	out.ExitCode = in.ExitCode
	out.Items = *(*[]*Result)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_porch_ResultList_To_v1alpha1_ResultList is an autogenerated conversion function.
func Convert_porch_ResultList_To_v1alpha1_ResultList(in *porch.ResultList, out *ResultList, s conversion.Scope) error {
	return autoConvert_porch_ResultList_To_v1alpha1_ResultList(in, out, s)
}

func autoConvert_v1alpha1_SecretRef_To_porch_SecretRef(in *SecretRef, out *porch.SecretRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_v1alpha1_SecretRef_To_porch_SecretRef is an autogenerated conversion function.
func Convert_v1alpha1_SecretRef_To_porch_SecretRef(in *SecretRef, out *porch.SecretRef, s conversion.Scope) error {
	return autoConvert_v1alpha1_SecretRef_To_porch_SecretRef(in, out, s)
}

func autoConvert_porch_SecretRef_To_v1alpha1_SecretRef(in *porch.SecretRef, out *SecretRef, s conversion.Scope) error {
	out.Name = in.Name
	return nil
}

// Convert_porch_SecretRef_To_v1alpha1_SecretRef is an autogenerated conversion function.
func Convert_porch_SecretRef_To_v1alpha1_SecretRef(in *porch.SecretRef, out *SecretRef, s conversion.Scope) error {
	return autoConvert_porch_SecretRef_To_v1alpha1_SecretRef(in, out, s)
}

func autoConvert_v1alpha1_Selector_To_porch_Selector(in *Selector, out *porch.Selector, s conversion.Scope) error {
	out.APIVersion = in.APIVersion
	out.Kind = in.Kind
	out.Name = in.Name
	out.Namespace = in.Namespace
	return nil
}

// Convert_v1alpha1_Selector_To_porch_Selector is an autogenerated conversion function.
func Convert_v1alpha1_Selector_To_porch_Selector(in *Selector, out *porch.Selector, s conversion.Scope) error {
	return autoConvert_v1alpha1_Selector_To_porch_Selector(in, out, s)
}

func autoConvert_porch_Selector_To_v1alpha1_Selector(in *porch.Selector, out *Selector, s conversion.Scope) error {
	out.APIVersion = in.APIVersion
	out.Kind = in.Kind
	out.Name = in.Name
	out.Namespace = in.Namespace
	return nil
}

// Convert_porch_Selector_To_v1alpha1_Selector is an autogenerated conversion function.
func Convert_porch_Selector_To_v1alpha1_Selector(in *porch.Selector, out *Selector, s conversion.Scope) error {
	return autoConvert_porch_Selector_To_v1alpha1_Selector(in, out, s)
}

func autoConvert_v1alpha1_Task_To_porch_Task(in *Task, out *porch.Task, s conversion.Scope) error {
	out.Type = porch.TaskType(in.Type)
	out.Init = (*porch.PackageInitTaskSpec)(unsafe.Pointer(in.Init))
	out.Clone = (*porch.PackageCloneTaskSpec)(unsafe.Pointer(in.Clone))
	out.Patch = (*porch.PackagePatchTaskSpec)(unsafe.Pointer(in.Patch))
	out.Edit = (*porch.PackageEditTaskSpec)(unsafe.Pointer(in.Edit))
	out.Eval = (*porch.FunctionEvalTaskSpec)(unsafe.Pointer(in.Eval))
	out.Update = (*porch.PackageUpdateTaskSpec)(unsafe.Pointer(in.Update))
	return nil
}

// Convert_v1alpha1_Task_To_porch_Task is an autogenerated conversion function.
func Convert_v1alpha1_Task_To_porch_Task(in *Task, out *porch.Task, s conversion.Scope) error {
	return autoConvert_v1alpha1_Task_To_porch_Task(in, out, s)
}

func autoConvert_porch_Task_To_v1alpha1_Task(in *porch.Task, out *Task, s conversion.Scope) error {
	out.Type = TaskType(in.Type)
	out.Init = (*PackageInitTaskSpec)(unsafe.Pointer(in.Init))
	out.Clone = (*PackageCloneTaskSpec)(unsafe.Pointer(in.Clone))
	out.Patch = (*PackagePatchTaskSpec)(unsafe.Pointer(in.Patch))
	out.Edit = (*PackageEditTaskSpec)(unsafe.Pointer(in.Edit))
	out.Eval = (*FunctionEvalTaskSpec)(unsafe.Pointer(in.Eval))
	out.Update = (*PackageUpdateTaskSpec)(unsafe.Pointer(in.Update))
	return nil
}

// Convert_porch_Task_To_v1alpha1_Task is an autogenerated conversion function.
func Convert_porch_Task_To_v1alpha1_Task(in *porch.Task, out *Task, s conversion.Scope) error {
	return autoConvert_porch_Task_To_v1alpha1_Task(in, out, s)
}

func autoConvert_v1alpha1_TaskResult_To_porch_TaskResult(in *TaskResult, out *porch.TaskResult, s conversion.Scope) error {
	out.Task = (*porch.Task)(unsafe.Pointer(in.Task))
	out.RenderStatus = (*porch.RenderStatus)(unsafe.Pointer(in.RenderStatus))
	return nil
}

// Convert_v1alpha1_TaskResult_To_porch_TaskResult is an autogenerated conversion function.
func Convert_v1alpha1_TaskResult_To_porch_TaskResult(in *TaskResult, out *porch.TaskResult, s conversion.Scope) error {
	return autoConvert_v1alpha1_TaskResult_To_porch_TaskResult(in, out, s)
}

func autoConvert_porch_TaskResult_To_v1alpha1_TaskResult(in *porch.TaskResult, out *TaskResult, s conversion.Scope) error {
	out.Task = (*Task)(unsafe.Pointer(in.Task))
	out.RenderStatus = (*RenderStatus)(unsafe.Pointer(in.RenderStatus))
	return nil
}

// Convert_porch_TaskResult_To_v1alpha1_TaskResult is an autogenerated conversion function.
func Convert_porch_TaskResult_To_v1alpha1_TaskResult(in *porch.TaskResult, out *TaskResult, s conversion.Scope) error {
	return autoConvert_porch_TaskResult_To_v1alpha1_TaskResult(in, out, s)
}

func autoConvert_v1alpha1_UpstreamLock_To_porch_UpstreamLock(in *UpstreamLock, out *porch.UpstreamLock, s conversion.Scope) error {
	out.Type = porch.OriginType(in.Type)
	out.Git = (*porch.GitLock)(unsafe.Pointer(in.Git))
	return nil
}

// Convert_v1alpha1_UpstreamLock_To_porch_UpstreamLock is an autogenerated conversion function.
func Convert_v1alpha1_UpstreamLock_To_porch_UpstreamLock(in *UpstreamLock, out *porch.UpstreamLock, s conversion.Scope) error {
	return autoConvert_v1alpha1_UpstreamLock_To_porch_UpstreamLock(in, out, s)
}

func autoConvert_porch_UpstreamLock_To_v1alpha1_UpstreamLock(in *porch.UpstreamLock, out *UpstreamLock, s conversion.Scope) error {
	out.Type = OriginType(in.Type)
	out.Git = (*GitLock)(unsafe.Pointer(in.Git))
	return nil
}

// Convert_porch_UpstreamLock_To_v1alpha1_UpstreamLock is an autogenerated conversion function.
func Convert_porch_UpstreamLock_To_v1alpha1_UpstreamLock(in *porch.UpstreamLock, out *UpstreamLock, s conversion.Scope) error {
	return autoConvert_porch_UpstreamLock_To_v1alpha1_UpstreamLock(in, out, s)
}

func autoConvert_v1alpha1_UpstreamPackage_To_porch_UpstreamPackage(in *UpstreamPackage, out *porch.UpstreamPackage, s conversion.Scope) error {
	out.Type = porch.RepositoryType(in.Type)
	out.Git = (*porch.GitPackage)(unsafe.Pointer(in.Git))
	out.Oci = (*porch.OciPackage)(unsafe.Pointer(in.Oci))
	out.UpstreamRef = (*porch.PackageRevisionRef)(unsafe.Pointer(in.UpstreamRef))
	return nil
}

// Convert_v1alpha1_UpstreamPackage_To_porch_UpstreamPackage is an autogenerated conversion function.
func Convert_v1alpha1_UpstreamPackage_To_porch_UpstreamPackage(in *UpstreamPackage, out *porch.UpstreamPackage, s conversion.Scope) error {
	return autoConvert_v1alpha1_UpstreamPackage_To_porch_UpstreamPackage(in, out, s)
}

func autoConvert_porch_UpstreamPackage_To_v1alpha1_UpstreamPackage(in *porch.UpstreamPackage, out *UpstreamPackage, s conversion.Scope) error {
	out.Type = RepositoryType(in.Type)
	out.Git = (*GitPackage)(unsafe.Pointer(in.Git))
	out.Oci = (*OciPackage)(unsafe.Pointer(in.Oci))
	out.UpstreamRef = (*PackageRevisionRef)(unsafe.Pointer(in.UpstreamRef))
	return nil
}

// Convert_porch_UpstreamPackage_To_v1alpha1_UpstreamPackage is an autogenerated conversion function.
func Convert_porch_UpstreamPackage_To_v1alpha1_UpstreamPackage(in *porch.UpstreamPackage, out *UpstreamPackage, s conversion.Scope) error {
	return autoConvert_porch_UpstreamPackage_To_v1alpha1_UpstreamPackage(in, out, s)
}
